XnStringsHashT< TValue > Class Template Reference

`#include <XnStringsHashT.h>`

Inheritance diagram for XnStringsHashT< TValue >:
[legend]

## Public Member Functions

| XnStringsHashT ()
| XnStringsHashT (const XnStringsHashT &other)
XnStringsHashT & | operator= (const XnStringsHashT &other)
Public Member Functions inherited from XnHashT< const XnChar *, TValue, XnStringsHashKeyManager, XnStringsNodeAllocator< TValue > >
| XnHashT ()
| XnHashT (const XnHashT &other)
XnHashT & | operator= (const XnHashT &other)
| ~XnHashT ()
Iterator | Begin ()
ConstIterator | Begin () const
Iterator | End ()
ConstIterator | End () const
XnStatus | Set (const const XnChar *&key, const TValue &value)
ConstIterator | Find (const XnChar *const &key) const
Iterator | Find (const XnChar *const &key)
XnStatus | Find (const XnChar *const &key, ConstIterator &it) const
XnStatus | Find (const XnChar *const &key, Iterator &it)
XnStatus | Get (const XnChar *const &key, TValue &value) const
XnStatus | Get (const XnChar *const &key, TValue const *&pValue) const
XnStatus | Get (const XnChar *const &key, TValue &value)
XnStatus | Get (const XnChar *const &key, TValue *&pValue)
TValue & | operator[] (const XnChar *const &key)
XnStatus | Remove (ConstIterator it)
XnStatus | Remove (const XnChar *const &key)
XnStatus | Clear ()
XnBool | IsEmpty () const
XnUInt32 | Size () const

## Additional Inherited Members

Public Types inherited from XnHashT< const XnChar *, TValue, XnStringsHashKeyManager, XnStringsNodeAllocator< TValue > >
enum |
typedef XnKeyValuePair< const XnChar *, TValue > | TPair
typedef XnListT< TPair, XnStringsNodeAllocator< TValue > > | TPairList

## Constructor & Destructor Documentation

## XnStringsHashT() [1/2]

template<class TValue>

XnStringsHashT< TValue >::XnStringsHashT | ( |  | ) |

inline

## XnStringsHashT() [2/2]

template<class TValue>

XnStringsHashT< TValue >::XnStringsHashT | ( | const XnStringsHashT< TValue > & | other | ) |

inline

## Member Function Documentation

## operator=()

template<class TValue>

XnStringsHashT & XnStringsHashT< TValue >::operator= | ( | const XnStringsHashT< TValue > & | other | ) |

inline

The documentation for this class was generated from the following file:

- XnStringsHashT.h